xine-lib: xine-lib-1.2.13/src/post/mosaico/switch.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Typedefs | Functions | Variables
switch.c File Reference
`#include <pthread.h>`
`#include <xine/xine_internal.h>`
`#include <xine/post.h>`

## Data Structures
struct | switch_parameter_s

## Macros
#define | LOG_MODULE "switch"
#define | LOG_VERBOSE

## Typedefs
typedef struct switch_parameter_s | switch_parameter_t

## Functions
| PARAM_ITEM (POST_PARAM_TYPE_INT, select, NULL, 1, INT_MAX, 1, "the input source which will be passed through to the output")
static xine_post_api_descr_t * | switch_get_param_descr (void)
static int | switch_set_parameters (xine_post_t *this_gen, const void *param_gen)
static int | switch_get_parameters (xine_post_t *this_gen, void *param_gen)
static char * | switch_get_help (void)
static int | switch_draw (vo_frame_t *frame, xine_stream_t *stream)
static void | switch_dispose (post_plugin_t *this_gen)
static post_plugin_t * | switch_open_plugin (post_class_t *class_gen, int inputs, xine_audio_port_t **audio_target, xine_video_port_t **video_target)
static void * | switch_init_plugin (xine_t *xine, const void *data)

## Variables
static const post_info_t | switch_special_info
const plugin_info_t xine_plugin_info[] | EXPORTED

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "switch"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Typedef Documentation

## ◆ switch_parameter_t

typedef struct switch_parameter_s switch_parameter_t

## Function Documentation

## ◆ PARAM_ITEM()

PARAM_ITEM | ( | POST_PARAM_TYPE_INT | ,
|  | select | ,
|  | NULL | ,
|  | 1 | ,
|  | INT_MAX | ,
|  | 1 | ,
|  | "the input source which will be passed through to the output" | )

## ◆ switch_dispose()

static void switch_dispose | ( | post_plugin_t * | this_gen | ) |
| static

References _x_post_dispose().

Referenced by switch_open_plugin().

## ◆ switch_draw()

static int switch_draw | ( | vo_frame_t * | frame,
|  | xine_stream_t * | stream )
| static

References _x_assert, _x_post_frame_copy_down(), _x_post_frame_copy_up(), _x_post_frame_u_turn(), vo_frame_s::draw, vo_frame_s::duration, vo_frame_s::next, vo_frame_s::port, post_video_port_s::post, vo_frame_s::vpts, and XINE_ANON_STREAM.

Referenced by switch_open_plugin().

## ◆ switch_get_help()

static char * switch_get_help | ( | void |  | ) |
| static

References _.

Referenced by switch_open_plugin().

## ◆ switch_get_param_descr()

static xine_post_api_descr_t * switch_get_param_descr | ( | void |  | ) |
| static

Referenced by switch_open_plugin().

## ◆ switch_get_parameters()

static int switch_get_parameters | ( | xine_post_t * | this_gen,
|  | void * | param_gen )
| static

References switch_parameter_s::select.

Referenced by switch_open_plugin().

## ◆ switch_init_plugin()

static void * switch_init_plugin | ( | xine_t * | xine,
|  | const void * | data )
| static

References post_plugin_s::dispose, N_, NULL, post_class_s::open_plugin, and switch_open_plugin().

## ◆ switch_open_plugin()

static post_plugin_t * switch_open_plugin | ( | post_class_t * | class_gen,
|  | int | inputs,
|  | xine_audio_port_t ** | audio_target,
|  | xine_video_port_t ** | video_target )
| static

References _x_post_init(), _x_post_intercept_video_port(), vo_frame_s::draw, post_video_port_s::frame_lock, input(), lprintf, xine_post_in_s::name, post_video_port_s::new_frame, post_video_port_s::new_port, NULL, post_video_port_s::port_lock, xine_post_api_t::set_parameters, switch_dispose(), switch_draw(), switch_get_help(), switch_get_param_descr(), switch_get_parameters(), switch_set_parameters(), xine_list_push_back(), and XINE_POST_DATA_PARAMETERS.

Referenced by switch_init_plugin().

## ◆ switch_set_parameters()

static int switch_set_parameters | ( | xine_post_t * | this_gen,
|  | const void * | param_gen )
| static

References switch_parameter_s::select.

Referenced by switch_open_plugin().

## Variable Documentation

## ◆ EXPORTED

const plugin_info_t xine_plugin_info [] EXPORTED

Initial value:
= {
{ PLUGIN_POST, 10, "switch", XINE_VERSION_CODE, &switch_special_info, &switch_init_plugin },
{ PLUGIN_NONE, 0, NULL, 0, NULL, NULL }
}
switch_special_info
static const post_info_t switch_special_info
Definition switch.c:238
switch_init_plugin
static void * switch_init_plugin(xine_t *xine, const void *data)
Definition switch.c:222
XINE_VERSION_CODE
#define XINE_VERSION_CODE
Definition xine_internal.h:57
NULL
NULL
Definition xine_plugin.c:78
PLUGIN_NONE
#define PLUGIN_NONE
Definition xine_plugin.h:29
PLUGIN_POST
#define PLUGIN_POST
Definition xine_plugin.h:37

## ◆ switch_special_info

const post_info_t switch_special_info
| static

Initial value:
= {
.type = XINE_POST_TYPE_VIDEO_COMPOSE,
}
XINE_POST_TYPE_VIDEO_COMPOSE
#define XINE_POST_TYPE_VIDEO_COMPOSE
Definition xine.h:823